# Snapshot report for `test/consistent-function-scoping.mjs`

The actual snapshot is saved in `consistent-function-scoping.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | function foo() {
      2 | 	function bar() {}
      3 | }

> Error 1/1

    `␊
      1 | function foo() {␊
    > 2 | 	function bar() {}␊
        | 	^^^^^^^^^^^^ Move function 'bar' to the outer scope.␊
      3 | }␊
    `

## Invalid #2
      1 | function foo() {
      2 | 	async function bar() {}
      3 | }

> Error 1/1

    `␊
      1 | function foo() {␊
    > 2 | 	async function bar() {}␊
        | 	^^^^^^^^^^^^^^^^^^ Move async function 'bar' to the outer scope.␊
      3 | }␊
    `

## Invalid #3
      1 | function foo() {
      2 | 	function * bar() {}
      3 | }

> Error 1/1

    `␊
      1 | function foo() {␊
    > 2 | 	function * bar() {}␊
        | 	^^^^^^^^^^^^^^ Move generator function 'bar' to the outer scope.␊
      3 | }␊
    `

## Invalid #4
      1 | function foo() {
      2 | 	async function * bar() {}
      3 | }

> Error 1/1

    `␊
      1 | function foo() {␊
    > 2 | 	async function * bar() {}␊
        | 	^^^^^^^^^^^^^^^^^^^^ Move async generator function 'bar' to the outer scope.␊
      3 | }␊
    `

## Invalid #5
      1 | function foo() {
      2 | 	const bar = () => {}
      3 | }

> Error 1/1

    `␊
      1 | function foo() {␊
    > 2 | 	const bar = () => {}␊
        | 	               ^^ Move arrow function 'bar' to the outer scope.␊
      3 | }␊
    `

## Invalid #6
      1 | const doFoo = () => bar => bar;

> Error 1/1

    `␊
    > 1 | const doFoo = () => bar => bar;␊
        |                         ^^ Move arrow function to the outer scope.␊
    `

## Invalid #7
      1 | function foo() {
      2 | 	const bar = async () => {}
      3 | }

> Error 1/1

    `␊
      1 | function foo() {␊
    > 2 | 	const bar = async () => {}␊
        | 	                     ^^ Move async arrow function 'bar' to the outer scope.␊
      3 | }␊
    `

## Invalid #8
      1 | function doFoo() {
      2 | 	const doBar = function(bar) {
      3 | 		return bar;
      4 | 	};
      5 | }

> Error 1/1

    `␊
      1 | function doFoo() {␊
    > 2 | 	const doBar = function(bar) {␊
        | 	              ^^^^^^^^ Move function 'doBar' to the outer scope.␊
      3 | 		return bar;␊
      4 | 	};␊
      5 | }␊
    `
