# Snapshot report for `test/no-lonely-if.mjs`

The actual snapshot is saved in `no-lonely-if.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | if (a) {
      2 | 	if (b) {
      3 | 	}
      4 | }

> Output

    `␊
      1 | if (a && b) {␊
      2 | 	}␊
    `

> Error 1/1

    `␊
      1 | if (a) {␊
    > 2 | 	if (b) {␊
        | 	^^^^^^^^␊
    > 3 | 	}␊
        | ^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      4 | }␊
    `

## Invalid #2
      1 | if (a) if (b) {
      2 | 	foo();
      3 | }

> Output

    `␊
      1 | if (a && b) {␊
      2 | 	foo();␊
      3 | }␊
    `

> Error 1/1

    `␊
    > 1 | if (a) if (b) {␊
        |        ^^^^^^^^␊
    > 2 | 	foo();␊
        | ^^^^^^^␊
    > 3 | }␊
        | ^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
    `

## Invalid #3
      1 | if (a) {
      2 | 	if (b) foo();
      3 | }

> Output

    `␊
      1 | if (a && b) foo();␊
    `

> Error 1/1

    `␊
      1 | if (a) {␊
    > 2 | 	if (b) foo();␊
        | 	^^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      3 | }␊
    `

## Invalid #4
      1 | if (a) if (b) foo();

> Output

    `␊
      1 | if (a && b) foo();␊
    `

> Error 1/1

    `␊
    > 1 | if (a) if (b) foo();␊
        |        ^^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
    `

## Invalid #5
      1 | if (a) if (b);

> Output

    `␊
      1 | if (a && b);␊
    `

> Error 1/1

    `␊
    > 1 | if (a) if (b);␊
        |        ^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
    `

## Invalid #6
      1 | if (a) {
      2 | 	if (b) {
      3 | 		// Should not report
      4 | 	}
      5 | } else if (c) {
      6 | 	if (d) {
      7 | 	}
      8 | }

> Output

    `␊
      1 | if (a) {␊
      2 | 	if (b) {␊
      3 | 		// Should not report␊
      4 | 	}␊
      5 | } else if (c && d) {␊
      6 | 	}␊
    `

> Error 1/1

    `␊
      1 | if (a) {␊
      2 | 	if (b) {␊
      3 | 		// Should not report␊
      4 | 	}␊
      5 | } else if (c) {␊
    > 6 | 	if (d) {␊
        | 	^^^^^^^^␊
    > 7 | 	}␊
        | ^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      8 | }␊
    `

## Invalid #7
       1 | function * foo() {
       2 | 	if (a || b)
       3 | 	if (a ?? b)
       4 | 	if (a ? b : c)
       5 | 	if (a = b)
       6 | 	if (a += b)
       7 | 	if (a -= b)
       8 | 	if (a &&= b)
       9 | 	if (yield a)
      10 | 	if (a, b);
      11 | }

> Output

    `␊
      1 | function * foo() {␊
      2 | 	if ((a || b) && (a ?? b) && (a ? b : c) && (a = b) && (a += b) && (a -= b) && (a &&= b) && (yield a) && (a, b));␊
      3 | }␊
    `

> Error 1/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
    >  3 | 	if (a ?? b)␊
         | 	^^^^^^^^^^^␊
    >  4 | 	if (a ? b : c)␊
         | ^^^^^^^^^^^^^^^␊
    >  5 | 	if (a = b)␊
         | ^^^^^^^^^^^^^^^␊
    >  6 | 	if (a += b)␊
         | ^^^^^^^^^^^^^^^␊
    >  7 | 	if (a -= b)␊
         | ^^^^^^^^^^^^^^^␊
    >  8 | 	if (a &&= b)␊
         | ^^^^^^^^^^^^^^^␊
    >  9 | 	if (yield a)␊
         | ^^^^^^^^^^^^^^^␊
    > 10 | 	if (a, b);␊
         | ^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

> Error 2/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
       3 | 	if (a ?? b)␊
    >  4 | 	if (a ? b : c)␊
         | 	^^^^^^^^^^^^^^␊
    >  5 | 	if (a = b)␊
         | ^^^^^^^^^^^␊
    >  6 | 	if (a += b)␊
         | ^^^^^^^^^^^␊
    >  7 | 	if (a -= b)␊
         | ^^^^^^^^^^^␊
    >  8 | 	if (a &&= b)␊
         | ^^^^^^^^^^^␊
    >  9 | 	if (yield a)␊
         | ^^^^^^^^^^^␊
    > 10 | 	if (a, b);␊
         | ^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

> Error 3/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
       3 | 	if (a ?? b)␊
       4 | 	if (a ? b : c)␊
    >  5 | 	if (a = b)␊
         | 	^^^^^^^^^^␊
    >  6 | 	if (a += b)␊
         | ^^^^^^^^^^^^␊
    >  7 | 	if (a -= b)␊
         | ^^^^^^^^^^^^␊
    >  8 | 	if (a &&= b)␊
         | ^^^^^^^^^^^^␊
    >  9 | 	if (yield a)␊
         | ^^^^^^^^^^^^␊
    > 10 | 	if (a, b);␊
         | ^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

> Error 4/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
       3 | 	if (a ?? b)␊
       4 | 	if (a ? b : c)␊
       5 | 	if (a = b)␊
    >  6 | 	if (a += b)␊
         | 	^^^^^^^^^^^␊
    >  7 | 	if (a -= b)␊
         | ^^^^^^^^^^^^␊
    >  8 | 	if (a &&= b)␊
         | ^^^^^^^^^^^^␊
    >  9 | 	if (yield a)␊
         | ^^^^^^^^^^^^␊
    > 10 | 	if (a, b);␊
         | ^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

> Error 5/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
       3 | 	if (a ?? b)␊
       4 | 	if (a ? b : c)␊
       5 | 	if (a = b)␊
       6 | 	if (a += b)␊
    >  7 | 	if (a -= b)␊
         | 	^^^^^^^^^^^␊
    >  8 | 	if (a &&= b)␊
         | ^^^^^^^^^^^^^␊
    >  9 | 	if (yield a)␊
         | ^^^^^^^^^^^^^␊
    > 10 | 	if (a, b);␊
         | ^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

> Error 6/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
       3 | 	if (a ?? b)␊
       4 | 	if (a ? b : c)␊
       5 | 	if (a = b)␊
       6 | 	if (a += b)␊
       7 | 	if (a -= b)␊
    >  8 | 	if (a &&= b)␊
         | 	^^^^^^^^^^^^␊
    >  9 | 	if (yield a)␊
         | ^^^^^^^^^^^^^␊
    > 10 | 	if (a, b);␊
         | ^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

> Error 7/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
       3 | 	if (a ?? b)␊
       4 | 	if (a ? b : c)␊
       5 | 	if (a = b)␊
       6 | 	if (a += b)␊
       7 | 	if (a -= b)␊
       8 | 	if (a &&= b)␊
    >  9 | 	if (yield a)␊
         | 	^^^^^^^^^^^^␊
    > 10 | 	if (a, b);␊
         | ^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

> Error 8/8

    `␊
       1 | function * foo() {␊
       2 | 	if (a || b)␊
       3 | 	if (a ?? b)␊
       4 | 	if (a ? b : c)␊
       5 | 	if (a = b)␊
       6 | 	if (a += b)␊
       7 | 	if (a -= b)␊
       8 | 	if (a &&= b)␊
       9 | 	if (yield a)␊
    > 10 | 	if (a, b);␊
         | 	^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      11 | }␊
    `

## Invalid #8
      1 | async function foo() {
      2 | 	if (a)
      3 | 	if (await a)
      4 | 	if (a.b)
      5 | 	if (a && b);
      6 | }

> Output

    `␊
      1 | async function foo() {␊
      2 | 	if (a && await a && a.b && a && b);␊
      3 | }␊
    `

> Error 1/3

    `␊
      1 | async function foo() {␊
      2 | 	if (a)␊
    > 3 | 	if (await a)␊
        | 	^^^^^^^^^^^^␊
    > 4 | 	if (a.b)␊
        | ^^^^^^^^^␊
    > 5 | 	if (a && b);␊
        | ^^^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      6 | }␊
    `

> Error 2/3

    `␊
      1 | async function foo() {␊
      2 | 	if (a)␊
      3 | 	if (await a)␊
    > 4 | 	if (a.b)␊
        | 	^^^^^^^^␊
    > 5 | 	if (a && b);␊
        | ^^^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      6 | }␊
    `

> Error 3/3

    `␊
      1 | async function foo() {␊
      2 | 	if (a)␊
      3 | 	if (await a)␊
      4 | 	if (a.b)␊
    > 5 | 	if (a && b);␊
        | 	^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      6 | }␊
    `

## Invalid #9
      1 | if (((a || b))) if (((c || d)));

> Output

    `␊
      1 | if (((a || b)) && ((c || d)));␊
    `

> Error 1/1

    `␊
    > 1 | if (((a || b))) if (((c || d)));␊
        |                 ^^^^^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
    `

## Invalid #10
       1 | if // 1
       2 | (
       3 | 	// 2
       4 | 	a // 3
       5 | 		.b // 4
       6 | ) // 5
       7 | {
       8 | 	// 6
       9 | 	if (
      10 | 		// 7
      11 | 		c // 8
      12 | 			.d // 9
      13 | 	) {
      14 | 		// 10
      15 | 		foo();
      16 | 		// 11
      17 | 	}
      18 | 	// 12
      19 | }

> Output

    `␊
       1 | if // 1␊
       2 | (␊
       3 | 	// 2␊
       4 | 	a // 3␊
       5 | 		.b // 4␊
       6 |  && // 5␊
       7 | // 6␊
       8 | 	␊
       9 | 		// 7␊
      10 | 		c // 8␊
      11 | 			.d // 9␊
      12 | 	) {␊
      13 | 		// 10␊
      14 | 		foo();␊
      15 | 		// 11␊
      16 | 	}␊
      17 | 	// 12␊
    `

> Error 1/1

    `␊
       1 | if // 1␊
       2 | (␊
       3 | 	// 2␊
       4 | 	a // 3␊
       5 | 		.b // 4␊
       6 | ) // 5␊
       7 | {␊
       8 | 	// 6␊
    >  9 | 	if (␊
         | 	^^^^␊
    > 10 | 		// 7␊
         | ^^^^^^␊
    > 11 | 		c // 8␊
         | ^^^^^^␊
    > 12 | 			.d // 9␊
         | ^^^^^^␊
    > 13 | 	) {␊
         | ^^^^^^␊
    > 14 | 		// 10␊
         | ^^^^^^␊
    > 15 | 		foo();␊
         | ^^^^^^␊
    > 16 | 		// 11␊
         | ^^^^^^␊
    > 17 | 	}␊
         | ^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      18 | 	// 12␊
      19 | }␊
    `

## Invalid #11
      1 | if (a) {
      2 | 	if (b) foo()
      3 | }
      4 | [].forEach(bar)

> Output

    `␊
      1 | if (a && b) foo()␊
      2 | ;[].forEach(bar)␊
    `

> Error 1/1

    `␊
      1 | if (a) {␊
    > 2 | 	if (b) foo()␊
        | 	^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      3 | }␊
      4 | [].forEach(bar)␊
    `

## Invalid #12
      1 | if (a)
      2 | 	if (b) foo()
      3 | ;[].forEach(bar)

> Output

    `␊
      1 | if (a && b) foo()␊
      2 | ;[].forEach(bar)␊
    `

> Error 1/1

    `␊
      1 | if (a)␊
    > 2 | 	if (b) foo()␊
        | 	^^^^^^^^^^^^␊
    > 3 | ;[].forEach(bar)␊
        | ^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
    `

## Invalid #13
      1 | if (a) {
      2 | 	if (b) foo()
      3 | }
      4 | ;[].forEach(bar)

> Output

    `␊
      1 | if (a && b) foo()␊
      2 | ;[].forEach(bar)␊
    `

> Error 1/1

    `␊
      1 | if (a) {␊
    > 2 | 	if (b) foo()␊
        | 	^^^^^^^^^^^^ Unexpected \`if\` as the only statement in a \`if\` block without \`else\`.␊
      3 | }␊
      4 | ;[].forEach(bar)␊
    `
