# Snapshot report for `test/prefer-includes.mjs`

The actual snapshot is saved in `prefer-includes.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | 'foobar'.indexOf('foo') !== -1

> Output

    `␊
      1 | 'foobar'.includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | 'foobar'.indexOf('foo') !== -1␊
        |          ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #2
      1 | str.indexOf('foo') != -1

> Output

    `␊
      1 | str.includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | str.indexOf('foo') != -1␊
        |     ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #3
      1 | str.indexOf('foo') > -1

> Output

    `␊
      1 | str.includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | str.indexOf('foo') > -1␊
        |     ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #4
      1 | str.indexOf('foo') == -1

> Output

    `␊
      1 | !str.includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | str.indexOf('foo') == -1␊
        |     ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #5
      1 | 'foobar'.indexOf('foo') >= 0

> Output

    `␊
      1 | 'foobar'.includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | 'foobar'.indexOf('foo') >= 0␊
        |          ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #6
      1 | [1,2,3].indexOf(4) !== -1

> Output

    `␊
      1 | [1,2,3].includes(4)␊
    `

> Error 1/1

    `␊
    > 1 | [1,2,3].indexOf(4) !== -1␊
        |         ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #7
      1 | str.indexOf('foo') < 0

> Output

    `␊
      1 | !str.includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | str.indexOf('foo') < 0␊
        |     ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #8
      1 | ''.indexOf('foo') < 0

> Output

    `␊
      1 | !''.includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | ''.indexOf('foo') < 0␊
        |    ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #9
      1 | (a || b).indexOf('foo') === -1

> Output

    `␊
      1 | !(a || b).includes('foo')␊
    `

> Error 1/1

    `␊
    > 1 | (a || b).indexOf('foo') === -1␊
        |          ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #10
      1 | foo.indexOf(bar, 0) !== -1

> Output

    `␊
      1 | foo.includes(bar)␊
    `

> Error 1/1

    `␊
    > 1 | foo.indexOf(bar, 0) !== -1␊
        |     ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #11
      1 | foo.indexOf(bar, 1) !== -1

> Output

    `␊
      1 | foo.includes(bar, 1)␊
    `

> Error 1/1

    `␊
    > 1 | foo.indexOf(bar, 1) !== -1␊
        |     ^^^^^^^ Use \`.includes()\`, rather than \`.indexOf()\`, when checking for existence.␊
    `

## Invalid #1
      1 | values.some(x => x === "foo")

> Output

    `␊
      1 | values.includes("foo")␊
    `

> Error 1/1

    `␊
    > 1 | values.some(x => x === "foo")␊
        |        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
    `

## Invalid #2
      1 | values.some(x => "foo" === x)

> Output

    `␊
      1 | values.includes("foo")␊
    `

> Error 1/1

    `␊
    > 1 | values.some(x => "foo" === x)␊
        |        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
    `

## Invalid #3
      1 | values.some(x => {return x === "foo";})

> Output

    `␊
      1 | values.includes("foo")␊
    `

> Error 1/1

    `␊
    > 1 | values.some(x => {return x === "foo";})␊
        |        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
    `

## Invalid #4
      1 | values.some(function (x) {return x === "foo";})

> Output

    `␊
      1 | values.includes("foo")␊
    `

> Error 1/1

    `␊
    > 1 | values.some(function (x) {return x === "foo";})␊
        |        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
    `

## Invalid #5
      1 | // 1
      2 | (0, values)
      3 | 	// 2
      4 | 	./* 3 */some /* 3 */ (
      5 | 		/* 4 */
      6 | 		x /* 5 */ => /* 6 */ x /* 7 */ === /* 8 */ "foo" /* 9 */
      7 | 	) /* 10 */

> Output

    `␊
      1 | // 1␊
      2 | (0, values)␊
      3 | 	// 2␊
      4 | 	./* 3 */includes /* 3 */ (␊
      5 | 		/* 4 */␊
      6 | 		"foo" /* 9 */␊
      7 | 	) /* 10 */␊
    `

> Error 1/1

    `␊
      1 | // 1␊
      2 | (0, values)␊
      3 | 	// 2␊
    > 4 | 	./* 3 */some /* 3 */ (␊
        | 	        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
      5 | 		/* 4 */␊
      6 | 		x /* 5 */ => /* 6 */ x /* 7 */ === /* 8 */ "foo" /* 9 */␊
      7 | 	) /* 10 */␊
    `

## Invalid #6
      1 | foo.some(function (element) {
      2 | 	return element === bar.some(x => x === 1);
      3 | });

> Output

    `␊
      1 | foo.some(function (element) {␊
      2 | 	return element === bar.includes(1);␊
      3 | });␊
    `

> Error 1/2

    `␊
    > 1 | foo.some(function (element) {␊
        |     ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
      2 | 	return element === bar.some(x => x === 1);␊
      3 | });␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.some()\` with \`.includes()\`.␊
      1 | foo.includes(bar.some(x => x === 1));␊
    `

> Error 2/2

    `␊
      1 | foo.some(function (element) {␊
    > 2 | 	return element === bar.some(x => x === 1);␊
        | 	                       ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
      3 | });␊
    `

## Invalid #7
      1 | values.some(x => x === (0, "foo"))

> Output

    `␊
      1 | values.includes((0, "foo"))␊
    `

> Error 1/1

    `␊
    > 1 | values.some(x => x === (0, "foo"))␊
        |        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
    `

## Invalid #8
      1 | values.some((x => x === (0, "foo")))

> Output

    `␊
      1 | values.includes((0, "foo"))␊
    `

> Error 1/1

    `␊
    > 1 | values.some((x => x === (0, "foo")))␊
        |        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
    `

## Invalid #9
      1 | function fn() {
      2 | 	foo.some(x => x === arguments.length)
      3 | }

> Output

    `␊
      1 | function fn() {␊
      2 | 	foo.includes(arguments.length)␊
      3 | }␊
    `

> Error 1/1

    `␊
      1 | function fn() {␊
    > 2 | 	foo.some(x => x === arguments.length)␊
        | 	    ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
      3 | }␊
    `

## Invalid #10
      1 | function fn() {
      2 | 	foo.some(x => x === this[1])
      3 | }

> Output

    `␊
      1 | function fn() {␊
      2 | 	foo.includes(this[1])␊
      3 | }␊
    `

> Error 1/1

    `␊
      1 | function fn() {␊
    > 2 | 	foo.some(x => x === this[1])␊
        | 	    ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
      3 | }␊
    `

## Invalid #11
      1 | values.some(x => x === foo())

> Error 1/1

    `␊
    > 1 | values.some(x => x === foo())␊
        |        ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.some()\` with \`.includes()\`.␊
      1 | values.includes(foo())␊
    `

## Invalid #12
      1 | foo.some(function a(x) {
      2 | 	return x === (function (a) {
      3 | 		return a(this) === arguments[1]
      4 | 	}).call(thisObject, anotherFunctionNamedA, secondArgument)
      5 | })

> Error 1/1

    `␊
    > 1 | foo.some(function a(x) {␊
        |     ^^^^ Use \`.includes()\` instead of \`.some()\` when checking value existence.␊
      2 | 	return x === (function (a) {␊
      3 | 		return a(this) === arguments[1]␊
      4 | 	}).call(thisObject, anotherFunctionNamedA, secondArgument)␊
      5 | })␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace \`.some()\` with \`.includes()\`.␊
      1 | foo.includes((function (a) {␊
      2 | 		return a(this) === arguments[1]␊
      3 | 	}).call(thisObject, anotherFunctionNamedA, secondArgument))␊
    `
