# Snapshot report for `test/prefer-object-has-own.mjs`

The actual snapshot is saved in `prefer-object-has-own.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const hasProperty = Object.prototype.hasOwnProperty.call(object, property);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = Object.prototype.hasOwnProperty.call(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #2
      1 | const hasProperty = Object.prototype.hasOwnProperty.call(object, property,);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property,);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = Object.prototype.hasOwnProperty.call(object, property,);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #3
      1 | const hasProperty = (( Object.prototype.hasOwnProperty.call(object, property) ));

> Output

    `␊
      1 | const hasProperty = (( Object.hasOwn(object, property) ));␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( Object.prototype.hasOwnProperty.call(object, property) ));␊
        |                        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #4
      1 | const hasProperty = (( Object.prototype.hasOwnProperty.call ))(object, property);

> Output

    `␊
      1 | const hasProperty = (( Object.hasOwn ))(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( Object.prototype.hasOwnProperty.call ))(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #5
      1 | const hasProperty = (( Object.prototype.hasOwnProperty )).call(object, property);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( Object.prototype.hasOwnProperty )).call(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #6
      1 | const hasProperty = (( Object.prototype )).hasOwnProperty.call(object, property);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( Object.prototype )).hasOwnProperty.call(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #7
      1 | const hasProperty = (( Object )).prototype.hasOwnProperty.call(object, property);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( Object )).prototype.hasOwnProperty.call(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #8
      1 | const hasProperty = {}.hasOwnProperty.call(object, property);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = {}.hasOwnProperty.call(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #9
      1 | const hasProperty = (( {}.hasOwnProperty.call(object, property) ));

> Output

    `␊
      1 | const hasProperty = (( Object.hasOwn(object, property) ));␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( {}.hasOwnProperty.call(object, property) ));␊
        |                        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #10
      1 | const hasProperty = (( {}.hasOwnProperty.call ))(object, property);

> Output

    `␊
      1 | const hasProperty = (( Object.hasOwn ))(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( {}.hasOwnProperty.call ))(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #11
      1 | const hasProperty = (( {}.hasOwnProperty )).call(object, property);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( {}.hasOwnProperty )).call(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #12
      1 | const hasProperty = (( {} )).hasOwnProperty.call(object, property);

> Output

    `␊
      1 | const hasProperty = Object.hasOwn(object, property);␊
    `

> Error 1/1

    `␊
    > 1 | const hasProperty = (( {} )).hasOwnProperty.call(object, property);␊
        |                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `

## Invalid #13
      1 | function foo(){return{}.hasOwnProperty.call(object, property)}

> Output

    `␊
      1 | function foo(){return Object.hasOwn(object, property)}␊
    `

> Error 1/1

    `␊
    > 1 | function foo(){return{}.hasOwnProperty.call(object, property)}␊
        |                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Use 'Object.hasOwn()' instead of 'Object.prototype.hasOwnProperty.call()'.␊
    `
