# Snapshot report for `test/prefer-regexp-test.mjs`

The actual snapshot is saved in `prefer-regexp-test.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const bar = !foo.match(re)

> Output

    `␊
      1 | const bar = !re.test(foo)␊
    `

> Error 1/1

    `␊
    > 1 | const bar = !foo.match(re)␊
        |              ^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #2
      1 | const bar = Boolean(foo.match(re))

> Output

    `␊
      1 | const bar = Boolean(re.test(foo))␊
    `

> Error 1/1

    `␊
    > 1 | const bar = Boolean(foo.match(re))␊
        |                     ^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #3
      1 | if (foo.match(re)) {}

> Output

    `␊
      1 | if (re.test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(re)) {}␊
        |     ^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #4
      1 | const bar = foo.match(re) ? 1 : 2

> Output

    `␊
      1 | const bar = re.test(foo) ? 1 : 2␊
    `

> Error 1/1

    `␊
    > 1 | const bar = foo.match(re) ? 1 : 2␊
        |             ^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #5
      1 | while (foo.match(re)) foo = foo.slice(1);

> Output

    `␊
      1 | while (re.test(foo)) foo = foo.slice(1);␊
    `

> Error 1/1

    `␊
    > 1 | while (foo.match(re)) foo = foo.slice(1);␊
        |        ^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #6
      1 | do {foo = foo.slice(1)} while (foo.match(re));

> Output

    `␊
      1 | do {foo = foo.slice(1)} while (re.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | do {foo = foo.slice(1)} while (foo.match(re));␊
        |                                ^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #7
      1 | for (; foo.match(re); ) foo = foo.slice(1);

> Output

    `␊
      1 | for (; re.test(foo); ) foo = foo.slice(1);␊
    `

> Error 1/1

    `␊
    > 1 | for (; foo.match(re); ) foo = foo.slice(1);␊
        |        ^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #8
      1 | const bar = !re.exec(foo)

> Output

    `␊
      1 | const bar = !re.test(foo)␊
    `

> Error 1/1

    `␊
    > 1 | const bar = !re.exec(foo)␊
        |                 ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #9
      1 | const bar = Boolean(re.exec(foo))

> Output

    `␊
      1 | const bar = Boolean(re.test(foo))␊
    `

> Error 1/1

    `␊
    > 1 | const bar = Boolean(re.exec(foo))␊
        |                        ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #10
      1 | if (re.exec(foo)) {}

> Output

    `␊
      1 | if (re.test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (re.exec(foo)) {}␊
        |        ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #11
      1 | const bar = re.exec(foo) ? 1 : 2

> Output

    `␊
      1 | const bar = re.test(foo) ? 1 : 2␊
    `

> Error 1/1

    `␊
    > 1 | const bar = re.exec(foo) ? 1 : 2␊
        |                ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #12
      1 | while (re.exec(foo)) foo = foo.slice(1);

> Output

    `␊
      1 | while (re.test(foo)) foo = foo.slice(1);␊
    `

> Error 1/1

    `␊
    > 1 | while (re.exec(foo)) foo = foo.slice(1);␊
        |           ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #13
      1 | do {foo = foo.slice(1)} while (re.exec(foo));

> Output

    `␊
      1 | do {foo = foo.slice(1)} while (re.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | do {foo = foo.slice(1)} while (re.exec(foo));␊
        |                                   ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #14
      1 | for (; re.exec(foo); ) foo = foo.slice(1);

> Output

    `␊
      1 | for (; re.test(foo); ) foo = foo.slice(1);␊
    `

> Error 1/1

    `␊
    > 1 | for (; re.exec(foo); ) foo = foo.slice(1);␊
        |           ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #15
      1 | if ((0, foo).match(re)) {}

> Output

    `␊
      1 | if ((re).test((0, foo))) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((0, foo).match(re)) {}␊
        |     ^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #16
      1 | if ((0, foo).match((re))) {}

> Output

    `␊
      1 | if ((re).test((0, foo))) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((0, foo).match((re))) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #17
      1 | if ((foo).match(re)) {}

> Output

    `␊
      1 | if ((re).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((foo).match(re)) {}␊
        |     ^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #18
      1 | if ((foo).match((re))) {}

> Output

    `␊
      1 | if ((re).test((foo))) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((foo).match((re))) {}␊
        |     ^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #19
      1 | if (foo.match(/re/)) {}

> Output

    `␊
      1 | if (/re/.test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(/re/)) {}␊
        |     ^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #20
      1 | if (foo.match(bar)) {}

> Output

    `␊
      1 | if (bar.test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(bar)) {}␊
        |     ^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #21
      1 | if (foo.match(bar.baz)) {}

> Output

    `␊
      1 | if (bar.baz.test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(bar.baz)) {}␊
        |     ^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #22
      1 | if (foo.match(bar.baz())) {}

> Output

    `␊
      1 | if (bar.baz().test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(bar.baz())) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #23
      1 | if (foo.match(new RegExp("re", "g"))) {}

> Output

    `␊
      1 | if (new RegExp("re", "g").test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(new RegExp("re", "g"))) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #24
      1 | if (foo.match(new SomeRegExp())) {}

> Output

    `␊
      1 | if (new SomeRegExp().test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(new SomeRegExp())) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #25
      1 | if (foo.match(new SomeRegExp)) {}

> Output

    `␊
      1 | if ((new SomeRegExp).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(new SomeRegExp)) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #26
      1 | if (foo.match(bar?.baz)) {}

> Output

    `␊
      1 | if (bar?.baz.test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(bar?.baz)) {}␊
        |     ^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #27
      1 | if (foo.match(bar?.baz())) {}

> Output

    `␊
      1 | if (bar?.baz().test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(bar?.baz())) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #28
      1 | if (foo.match(bar || baz)) {}

> Output

    `␊
      1 | if ((bar || baz).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(bar || baz)) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #29
      1 | async function a() {
      2 | 	if (foo.match(await bar())) {}
      3 | }

> Output

    `␊
      1 | async function a() {␊
      2 | 	if ((await bar()).test(foo)) {}␊
      3 | }␊
    `

> Error 1/1

    `␊
      1 | async function a() {␊
    > 2 | 	if (foo.match(await bar())) {}␊
        | 	    ^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
      3 | }␊
    `

## Invalid #30
      1 | if ((foo).match(/re/)) {}

> Output

    `␊
      1 | if ((/re/).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((foo).match(/re/)) {}␊
        |     ^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #31
      1 | if ((foo).match(new SomeRegExp)) {}

> Output

    `␊
      1 | if ((new SomeRegExp).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((foo).match(new SomeRegExp)) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #32
      1 | if ((foo).match(bar?.baz)) {}

> Output

    `␊
      1 | if ((bar?.baz).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((foo).match(bar?.baz)) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #33
      1 | if ((foo).match(bar?.baz())) {}

> Output

    `␊
      1 | if ((bar?.baz()).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((foo).match(bar?.baz())) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #34
      1 | if ((foo).match(bar || baz)) {}

> Output

    `␊
      1 | if ((bar || baz).test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if ((foo).match(bar || baz)) {}␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #35
      1 | async function a() {
      2 | 	if ((foo).match(await bar())) {}
      3 | }

> Output

    `␊
      1 | async function a() {␊
      2 | 	if ((await bar()).test(foo)) {}␊
      3 | }␊
    `

> Error 1/1

    `␊
      1 | async function a() {␊
    > 2 | 	if ((foo).match(await bar())) {}␊
        | 	    ^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
      3 | }␊
    `

## Invalid #36
      1 | if (foo.match([re][0])) {}

> Output

    `␊
      1 | if ([re][0].test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match([re][0])) {}␊
        |     ^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #37
       1 | async function a() {
       2 | 	if (
       3 | 		/* 1 */ foo() /* 2 */
       4 | 			./* 3 */ match /* 4 */ (
       5 | 				/* 5 */ await /* 6 */ bar() /* 7 */
       6 | 				,
       7 | 				/* 8 */
       8 | 			)
       9 | 	) {}
      10 | }

> Output

    `␊
       1 | async function a() {␊
       2 | 	if (␊
       3 | 		/* 1 */ (await /* 6 */ bar()) /* 2 */␊
       4 | 			./* 3 */ test /* 4 */ (␊
       5 | 				/* 5 */ foo() /* 7 */␊
       6 | 				,␊
       7 | 				/* 8 */␊
       8 | 			)␊
       9 | 	) {}␊
      10 | }␊
    `

> Error 1/1

    `␊
       1 | async function a() {␊
       2 | 	if (␊
    >  3 | 		/* 1 */ foo() /* 2 */␊
         | 		        ^^^^^^^^^^^^^␊
    >  4 | 			./* 3 */ match /* 4 */ (␊
         | ^^^^^^^^^^^^^^^^^^^^^^^^^^^␊
    >  5 | 				/* 5 */ await /* 6 */ bar() /* 7 */␊
         | ^^^^^^^^^^^^^^^^^^^^^^^^^^^␊
    >  6 | 				,␊
         | ^^^^^^^^^^^^^^^^^^^^^^^^^^^␊
    >  7 | 				/* 8 */␊
         | ^^^^^^^^^^^^^^^^^^^^^^^^^^^␊
    >  8 | 			)␊
         | ^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
       9 | 	) {}␊
      10 | }␊
    `

## Invalid #38
      1 | const string = '[.!?]\s*$';
      2 | if (foo.match(string)) {
      3 | }

> Error 1/1

    `␊
      1 | const string = '[.!?]\\s*$';␊
    > 2 | if (foo.match(string)) {␊
        |     ^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
      3 | }␊
    `

## Invalid #39
      1 | const regex = new RegExp('[.!?]\s*$');
      2 | if (foo.match(regex)) {}

> Output

    `␊
      1 | const regex = new RegExp('[.!?]\\s*$');␊
      2 | if (regex.test(foo)) {}␊
    `

> Error 1/1

    `␊
      1 | const regex = new RegExp('[.!?]\\s*$');␊
    > 2 | if (foo.match(regex)) {}␊
        |     ^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #40
      1 | if (foo.match(unknown)) {}

> Output

    `␊
      1 | if (unknown.test(foo)) {}␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(unknown)) {}␊
        |     ^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #41
      1 | if (foo.match(/a/g));

> Output

    `␊
      1 | if (/a/g.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(/a/g));␊
        |     ^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #42
      1 | if (foo.match(/a/y));

> Output

    `␊
      1 | if (/a/y.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(/a/y));␊
        |     ^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #43
      1 | if (foo.match(/a/gy));

> Output

    `␊
      1 | if (/a/gy.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(/a/gy));␊
        |     ^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #44
      1 | if (foo.match(/a/ig));

> Output

    `␊
      1 | if (/a/ig.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(/a/ig));␊
        |     ^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #45
      1 | if (foo.match(new RegExp("a", "g")));

> Output

    `␊
      1 | if (new RegExp("a", "g").test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (foo.match(new RegExp("a", "g")));␊
        |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #46
      1 | if (/a/g.exec(foo));

> Output

    `␊
      1 | if (/a/g.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (/a/g.exec(foo));␊
        |          ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #47
      1 | if (/a/y.exec(foo));

> Output

    `␊
      1 | if (/a/y.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (/a/y.exec(foo));␊
        |          ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #48
      1 | if (/a/gy.exec(foo));

> Output

    `␊
      1 | if (/a/gy.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (/a/gy.exec(foo));␊
        |           ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #49
      1 | if (/a/yi.exec(foo));

> Output

    `␊
      1 | if (/a/yi.test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (/a/yi.exec(foo));␊
        |           ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #50
      1 | if (new RegExp("a", "g").exec(foo));

> Output

    `␊
      1 | if (new RegExp("a", "g").test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (new RegExp("a", "g").exec(foo));␊
        |                          ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #51
      1 | if (new RegExp("a", "y").exec(foo));

> Output

    `␊
      1 | if (new RegExp("a", "y").test(foo));␊
    `

> Error 1/1

    `␊
    > 1 | if (new RegExp("a", "y").exec(foo));␊
        |                          ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #52
      1 | const regex = /weird/g;
      2 | if (foo.match(regex));

> Error 1/1

    `␊
      1 | const regex = /weird/g;␊
    > 2 | if (foo.match(regex));␊
        |     ^^^^^^^^^^^^^^^^ Prefer \`RegExp#test(…)\` over \`String#match(…)\`.␊
    `

## Invalid #53
      1 | const regex = /weird/g;
      2 | if (regex.exec(foo));

> Error 1/1

    `␊
      1 | const regex = /weird/g;␊
    > 2 | if (regex.exec(foo));␊
        |           ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #54
      1 | const regex = /weird/y;
      2 | if (regex.exec(foo));

> Output

    `␊
      1 | const regex = /weird/y;␊
      2 | if (regex.test(foo));␊
    `

> Error 1/1

    `␊
      1 | const regex = /weird/y;␊
    > 2 | if (regex.exec(foo));␊
        |           ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `

## Invalid #55
      1 | const regex = /weird/gyi;
      2 | if (regex.exec(foo));

> Error 1/1

    `␊
      1 | const regex = /weird/gyi;␊
    > 2 | if (regex.exec(foo));␊
        |           ^^^^ Prefer \`.test(…)\` over \`.exec(…)\`.␊
    `
